# Type Alias TeamWorkTodoState

type TeamWorkTodoState = {
jobUid: string;
messages: string[];
state: AsyncJobState;
tasks: TeamWorkAiTask[];
uriAiTodo?: string;
}

- Defined in jamespot-user-api/src/types/teamWorkAi.ts:27

##### Index

### Properties

jobUid
messages
state
tasks
uriAiTodo?

## Properties

### jobUid

jobUid: string

- Defined in jamespot-user-api/src/types/teamWorkAi.ts:28

### messages

messages: string[]

- Defined in jamespot-user-api/src/types/teamWorkAi.ts:30

### state

state: AsyncJobState

- Defined in jamespot-user-api/src/types/teamWorkAi.ts:29

### tasks

tasks: TeamWorkAiTask[]

- Defined in jamespot-user-api/src/types/teamWorkAi.ts:31

### `Optional` uriAiTodo

uriAiTodo?: string

- Defined in jamespot-user-api/src/types/teamWorkAi.ts:32